Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## javax.persistence
Annotation Type Table

    @Target(value=TYPE)
    @Retention(value=RUNTIME)
    public @interface Table

Specifies the primary table for the annotated entity. Additional tables may be specified using `SecondaryTable` or `SecondaryTables` annotation.

If no `Table` annotation is specified for an entity class, the default values apply.

        Example:

        @Entity
        @Table(name="CUST", schema="RECORDS")
        public class Customer { ... }

Since:
  Java Persistence 1.0

Optional Element Summary
`java.lang.String` | `catalog` (Optional) The catalog of the table.
`java.lang.String` | `name` (Optional) The name of the table.
`java.lang.String` | `schema` (Optional) The schema of the table.
`UniqueConstraint[]` | `uniqueConstraints` (Optional) Unique constraints that are to be placed on the table.

### name

    public abstract java.lang.String name

  (Optional) The name of the table.

  Defaults to the entity name.

  Default:
    ""

### catalog

    public abstract java.lang.String catalog

  (Optional) The catalog of the table.

  Defaults to the default catalog.

  Default:
    ""

### schema

    public abstract java.lang.String schema

  (Optional) The schema of the table.

  Defaults to the default schema for user.

  Default:
    ""

### uniqueConstraints

    public abstract UniqueConstraint[] uniqueConstraints

  (Optional) Unique constraints that are to be placed on the table. These are only used if table generation is in effect. These constraints apply in addition to any constraints specified by the `Column` and `JoinColumn` annotations and constraints entailed by primary key mappings.

  Defaults to no additional constraints.

  Default:
    {}

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT